Subject: Re: suspend2 on PowerBook: keyboard doesn't work on resume

From: Johannes Berg <[email-masked]>
Date: Mon, 13 Mar 2006 07:40:47 +0100

Hi,

> I'm trying to get suspend2 working on my PowerBook G4 of Oct 2003 vintage.
> 
> I'm running kernel 2.6.15.6 with the 2.6.15.1 suspend2 patch (it applied
> and built fine).

Interesting. I was pretty sure that version wouldn't work at all :->

> On the next startup, the kernel boots and it resumes.  I see the root
> terminal again, complete with my "hibernate" command and the syslog
> messages detailing the progress of suspend2.  The system does not respond
> to keystrokes, however.  After a few seconds, the "Running" message is
> printed out, and after 60 seconds, the system reboots.  To me this
> suggests that the system is mostly resuming correctly, but something has
> gone funny with the keyboard driver.
> 
> Keyboard-related dmesg:
> 
> MacIO PCI driver attached to Intrepid chipset
> input: Macintosh mouse button emulation as /class/input/input0
> adb: starting probe task...
> [snip]
> PCI: Enabling device 0002:20:0d.0 (0000 -> 0002)
> adb devices: [2]: 2 c3 [3]: 3 1 [7]: 7 1f
> ADB keyboard at 2, handler 1
> Detected ADB keyboard, type ANSI.

There's an ADB keyboard -- this all probably suggests that the ADB
driver from pre-resume and original kernel are stepping onto each other.
Maybe they have no good enough power management?

> Does anyone on the list use suspend2 on a PowerBook?

I used to, but on a later powerbook with USB keyboard, so...

johannes